# Data Sphere Flavor Pack


Custom Data Sphere models that can be used to replace the default Green sphere. Expand your color selection from 1 to 9!

---

Currently contains teal, yellow, pink, purple, blue, orange, red, and white Data Sphere variants.

#### Prefabs to add to ItemData:
```
Teal:
        "Assets/CustomAssets/BigPickups/1st_Person_TealSphere.prefab"
        "Assets/CustomAssets/BigPickups/3rd_Person_TealSphere.prefab"
        "Assets/CustomAssets/BigPickups/BigPickup_TealSphere.prefab"

Yellow:
        "Assets/CustomAssets/BigPickups/1st_Person_YellowSphere.prefab"
        "Assets/CustomAssets/BigPickups/3rd_Person_YellowSphere.prefab"
        "Assets/CustomAssets/BigPickups/BigPickup_YellowSphere.prefab"

Pink:
        "Assets/CustomAssets/BigPickups/1st_Person_PinkSphere.prefab"
        "Assets/CustomAssets/BigPickups/3rd_Person_PinkSphere.prefab"
        "Assets/CustomAssets/BigPickups/BigPickup_PinkSphere.prefab"

Purple:
        "Assets/CustomAssets/BigPickups/1st_Person_PurpleSphere.prefab"
        "Assets/CustomAssets/BigPickups/3rd_Person_PurpleSphere.prefab"
        "Assets/CustomAssets/BigPickups/BigPickup_PurpleSphere.prefab"

Blue:
        "Assets/CustomAssets/BigPickups/1st_Person_BlueSphere.prefab"
        "Assets/CustomAssets/BigPickups/3rd_Person_BlueSphere.prefab"
        "Assets/CustomAssets/BigPickups/BigPickup_BlueSphere.prefab"

Red:
        "Assets/CustomAssets/BigPickups/1st_Person_RedSphere.prefab"
        "Assets/CustomAssets/BigPickups/3rd_Person_RedSphere.prefab"
        "Assets/CustomAssets/BigPickups/BigPickup_RedSphere.prefab"
Orange:
        "Assets/CustomAssets/BigPickups/1st_Person_OrangeSphere.prefab"
        "Assets/CustomAssets/BigPickups/3rd_Person_OrangeSphere.prefab"
        "Assets/CustomAssets/BigPickups/BigPickup_OrangeSphere.prefab"

White:
        "Assets/CustomAssets/BigPickups/1st_Person_WhiteSphere.prefab"
        "Assets/CustomAssets/BigPickups/3rd_Person_WhiteSphere.prefab"
        "Assets/CustomAssets/BigPickups/BigPickup_WhiteSphere.prefab"

```

---



In-game appearance of custom data sphere models (blue on bottom left is not updated in the photo but I'm too lazy to fix the photo):

<img src="https://i.imgur.com/CEv3zT0.png" width="600" height="300" />

---

## How to use
1) Install the mod
2) Create a Data Sphere in ItemData by duplicating the existing one.
3) Replace FirstPersonPrefabs, ThirdPersonPrefabs, and PickupPrefabs with the corresponding custom models.
4) Spawn them as you would any other big pickup or objective.

Contact [Project Zaero#9999](https://discord.gg/rRMPtv4FAh) on the discord if you find any issues.

---
## Patch Notes

1.0.0
Initial Release