# Description
This mod aims to make your local character feel more talkative and respond realistically to combat, as well as relaying important information to your fellow prisoners.
This mod affects the local player and the bots, if host, only (locally: meaning if you have the mod installed everyone can hear your character's new dialogue).

# PATCH NOTES

## Ver 0.3.5
	- Fixed "THE" crash when taking damage XD.

## Ver 0.3.4
	- Made a duplicate name check to the "TextDataBlocks" to make sure it doesn't interfere with any custom rundown data blocks.

## Ver 0.3.3
	- Fixed a bug where the local player would say thank you instead of the revived bot.
	- Updated to the current BepInEx version.
	
## Ver 0.3.2
	- Moved the sneak kill target menu under the "SNEAKING" voice com category.
	- You no longer have to align your crosshair to ping resource packs/consumables inside resource containers. You will now, instead, always ping resource packs/consumables, that are inside resource containers, that are closest to your ping position (This also applies to bots when host).

## Ver 0.3.1
	- Simplified the sneak kill target menu!

## Ver 0.3.0
	- Updated to latest Bleeding Edge build!

## Ver 0.2.9
	- Added new voice commands...
	
## Ver 0.2.8
	- [Stealth Kill Comments] has been fixed and now working..
	- By pressing the "Ping" button on another prisoner, that's not on a team-scan, while in a team scan will make your character shout at them to get back...

## Ver 0.2.7
	- Bots will now benefit to the following configurations : Give Resource Pack Comments, Resource Pickup Comment
	- Further more bots will now call out the sleepers during sneaking.
	- If there are aggroed untagged shadows, a bot will remind the person, with a biotracker, to scan them.
	
## Ver 0.2.6
	- Made ChatterReborn work with BepInEx Pack 2.0.0

## Ver 0.2.5
	- Fixed a bug where "Combat End Dialogue" wouldn't work.

## Ver 0.2.4
	- Fixed a bug where melee attacks wouldn't damage limbs. This fix requires melee kill comments to be disabled and will be brought back as soon as I can find a fix.

## Ver 0.2.3
	- Made the Expedition Intro Dialogue work again.

## Ver 0.2.2
	- Made the mod compatible with Rundown 7.
	
## Ver 0.2.1
	- Added special callouts for Fatal Experiment 2, currently only big enemies are called by bots.
	- If there are any terminals playing an audio log, your character will not make any exploration comments until it stops.

## Ver 0.2.0
	- Added out of bullets reloading dialogues for the bots  (When host only).
	
## Ver 0.1.9
	- Bots, during combat, will now call out to Big Strikers, Flyers (if above 5 meters), and Shadows (This will not work in custom rundowns due it heavily relying on persistentIDs).
	- Bots will call out to sleepers when sneaking (including Scouts).
	
## Ver 0.1.8
	- Added a Toggle [Stealth Commands Shortcut] Now when close to a hibernating monster you will have the prompt to announce sync melee attacks.

## Ver 0.1.7
	- Added a Toggle [Persistent Combat Chatter] Fun Fact: This idea came from my mod Project: DeadLocke for Payday 2.
	- Added a Toggle [Friendly Fire Apology]
	
## Ver 0.1.6
	- Fixed a crash when a level gets completed.
	- You can now ping items inside lockers/boxes (regardless if they are moved).

## Ver 0.1.5
	- See the ChatterReborn.cfg to see the new changes on the existing/new toggles.
	- Reworked a Toggle [Ammo reminder] 
	
## Ver 0.1.4
	- Implemented a cooldown for the Biotracker comments to 4 seconds to avoid spam.
	- Changed the mod icon to fit the description of the mod.
	
## Ver 0.1.3
    - See the ChatterReborn.cfg to see the new changes on the existing/new toggles.
	- Added a Toggle [Expedition Failed Death Scream] 
	- Added a Toggle [Resource Pack Received Confirmation] 
	- Reworked a Toggle [BioTracker Information] 

## Ver 0.1.2
	- Fixed a description for the toggle [Give Resource Packs Comment] since it actually does work now
	- Added a Toggle to have more control of the mod [Door Pings].
	- The config file will now be located under "ChatterReborn.cfg" this also means the settings will reset.
	- Changed the Header in the config file from "Boolean" -> "Enabled" for simplicity's sake.

## Ver 0.1.1
	- Added a Toggle to have more control of the mod [Hacking Minigame dialogues].
	- Added a Toggle to have more control of the mod [Stealth Kill Comments].

## Ver 0.1.0
	- Fixed a base game bug where Hurt grunts override friendly-fire voice lines, thus never heard. Additionally, your character always plays friendly-fire voice lines when shot by teammates.

## Ver 0.0.9
	- Fixed a bug where the Player com responding voicelines weren't working.
	- Added weakspot hit confirmed dialogues.
	- You can now tell prisoners to get back in a TEAM bio-scan during exploration, simply by looking at them.

## Ver 0.0.8
	- Made a toggle finally functional [Force Player in Team Scan] By pointing/aiming at a player thats not in a team scan, your character will irritably shout at them (It won't trigger if too many enemies are present).
	- Added Check point door pinging dialogues.
	- Added Try To open door pinging dialogues.
	- Renamed a toggle [Follow Holo Path] -> [Bioscan dialogues] Your character will have dialogues regarding holo-paths, scan completions, and scanning progresses if set to true.
	
## Ver 0.0.7
	- Upon using your last use resource pack, your character will relay info about it running out.
	- Added GlowSticks pinging dialogue.
	- Added FogRepeller pinging dialogue.
	- Added Tool Refill pinging dialogue.
	- Added Long Range FlashLight pinging dialogue.
	- Added C-Foam Grenade pinging dialogue.
	- Added IIx (Yellow - MeleeBuff) Syringe pinging dialogue.
	- Added I2-LP (Red - Healing) Syringe pinging dialogue.
	- You can now ping items inside Resource Boxes/Lockers (Bug: it won't work once it's picked up).
	
## Ver 0.0.6
	- When pinging items, your character will now always call it out instead otherwise due to the tension ingame being too high for it to trigger.
	- Your character will now consistently notify your teammates about the pings when wielding a biotracker.
	- Your character's voice intensity will now be a bit subtle when you are in combat, but few enemies are present; otherwise, the intensity of the voice will go up again. You must have [Better Voice Intensity] set to true for it to effect.
	- Added stealth kill dialogues.
	- Added terminal ping dialogues.
	- Added disinfection ping dialogues.
	- Added a new toggle [Respond to coms]. Your character will now respond to players who use the com on you.

## Ver 0.0.5
	- Bots can now benefit from the mod. Look for toggle [Include Bots].
	- Bots will now grunt when taking damage from sleepers.
	- When using the bio tracker, you will now inform your teammates of any nearby sleepers. Look for toggle [BioTracker Information].
	- Just a reminder, VoiceIntensifier is now part of ChatterReborn. Look for toggle [Better Voice Intensity].
	
## Ver 0.0.4
	- Optmized the code for better performance.
	- New toggle setting : Your character will have dialogue upon pinging security doors and banging doors.
	- Your character will give estimation amount of use information upon pinging resource packs. 
	- VoiceIntensifier is now part of ChatterReborn! Look for the toggle [Better Voice Intensity].
	
## Ver 0.0.3
	- Fixed a bug that causes the enemy to stagger broken amount of times when damaging them.
	
## Ver 0.0.2 (Introducing ChatterReborn!)
	- Rewrote the entire code from scratch!
	- All the configuration settings applies to the local player only!

## Ver 0.0.1 (Discontinued; previously known as Chatter)
	- Initial release

## Installation
	- Place `ChatterReborn.dll` into the `BepInEx\plugins` folder.
	- Unzipping the zip into your game folder should work as well.
	- If you start your game for the first time using this mod `BepInEx\config\ChatterReborn.cfg` will appear and there you can toggle which categories of the mod you want enabled.
