Custom gear parts for use in the player offline gear datablock.
Rundown devs: see "Datablock Examples.txt" to import these weapons into your gear datablocks.
Make sure to assign every part a unique persistent ID!

## Front Parts

 - Front_Socom: A large, suppressed pistol front part, based on the HK Mark23

![Front_Socom](https://cdn.discordapp.com/attachments/447373091774005248/906338190699397140/unknown.png)
 - Front_Socom_2: An unsuppressed variant of Front_Socom

![Front_Socom_2](https://cdn.discordapp.com/attachments/447373091774005248/906338436695347251/unknown.png)
 - Front_Rifle_2_alt: An unsupressed varient of the DMR front part

![Front_Rifle_2_alt](https://cdn.discordapp.com/attachments/447373091774005248/914363313385787443/unknown.png)
 - Front_Rifle_2_alt_sp: A varient of the DMR front part with the socom supressor

![Front_Rifle_2_alt_sp](https://cdn.discordapp.com/attachments/447373091774005248/914363556139532288/unknown.png)
 - Front_Pistol_2: A fixed version of the unused quadrail pistol front part, which is no longer present in the game

![Front_Pistol_2](https://cdn.discordapp.com/attachments/447373091774005248/957624197893484554/unknown.png)
 - Front_Pistol_2_SP: Front_Pistol_2 suppressor variant

![Front_Pistol_2_Alt](https://cdn.discordapp.com/attachments/447373091774005248/957624575171129395/unknown.png)
 - Front_Pistol_2_Alt: Front_Pistol_2 no quadrail variant

![Front_Pistol_2_Alt](https://cdn.discordapp.com/attachments/447373091774005248/957624820512731146/unknown.png)
 - Front_Pistol_2_Alt_SP: Front_Pistol_2 suppressor + no quadrail variant

![Front_Pistol_2_Alt_SP](https://cdn.discordapp.com/attachments/447373091774005248/957625072405872670/unknown.png)
 - Front_hk91: A long rifle front part based on the HK91

![Front_hk91](https://cdn.discordapp.com/attachments/447373091774005248/957798663013408778/unknown.png)
 - Front_hk91_SP: Front_hk91 suppressed variant

![Front_hk91_SP](https://cdn.discordapp.com/attachments/447373091774005248/957799006023606332/unknown.png)
 - Front_hk91_alt: Front_hk91 short barrelled variant

![Front_hk91_alt](https://cdn.discordapp.com/attachments/447373091774005248/957799289415929886/unknown.png)
 - Front_hk91_alt_SP: Front_hk91 short barrelled suppressed variant

![Front_hk91_alt_SP](https://cdn.discordapp.com/attachments/447373091774005248/957799499256971274/unknown.png)
 - Front_Crossbow: A crossbow front part designed for single shot weapon archetypes

![Front_Crossbow](https://cdn.discordapp.com/attachments/447373091774005248/970042799984623616/unknown.png)

## Receiver Parts

 - Receiver_Socom: A pistol rail mount for the Socom front part.

![Receiver_Socom](https://cdn.discordapp.com/attachments/447373091774005248/906338756297109514/unknown.png)
 - Receiver_93R: A pistol foregrip based on the Berretta 93R.

![Receiver_93R](https://cdn.discordapp.com/attachments/447373091774005248/908162952157364334/unknown.png)
 - Receiver_AK: A rifle receiver part based on an AK style dust cover.

![Receiver_AK](https://cdn.discordapp.com/attachments/447373091774005248/906339328677015592/unknown.png)

## Stock Parts

 - Stock_Uzi_3: An extended stock variant of Stock_Uzi_2 from vanilla

![Stock_Uzi_3](https://cdn.discordapp.com/attachments/447373091774005248/906339671573938246/unknown.png)
 - Stock_93R_1: A pistol stock based on the Berretta 93R.

![Stock_93R_1](https://cdn.discordapp.com/attachments/447373091774005248/908163114711810069/unknown.png)
 - Stock_93R_2: A folding stock variant of Stock_93R.

![Stock_93R_2](https://cdn.discordapp.com/attachments/447373091774005248/908163269829730314/unknown.png)
 - Stock_boltaction: A traditional rifle stock based on magpul's polymer 10/22 stock

![Stock_boltaction](https://cdn.discordapp.com/attachments/447373091774005248/914364021925371934/unknown.png)
 - Stock_Socom: A pistol stock based on the HK Mark 23

![Stock_Socom](https://cdn.discordapp.com/attachments/447373091774005248/970042514528669696/unknown.png)

## Flashlight Parts

- Flashlight_Socom: A large flashlight based on the HK Mark 23's prototype LAM

![Flashlight_Socom](https://cdn.discordapp.com/attachments/447373091774005248/970042410304417872/unknown.png)

# Sight Parts

- Sight_Prism: A Custom sight part based on the Primary Arms ACSS G2

![Flashlight_Socom](https://cdn.discordapp.com/attachments/447373091774005248/970812655050821752/unknown.png)
