Supreme is an American clothing and skateboarding lifestyle brand established in New York City in April 1994.[7][8][9]

The brand is targeted at the skateboarding and hip hop cultures, and youth culture in general. The brand produces clothes and accessories and also manufactures skateboards.

James Jebbia, founder of Supreme,[2] has said that the red box logo with "Supreme" in white Futura Heavy Oblique was taken from the work of Barbara Kruger.[10] Kruger herself commented on this issue on the occasion of a recent lawsuit between Supreme and a women's street clothing brand that used the Supreme logo to make a "Supreme Bitch" logo that was printed on T-shirts and hats. In response, Kruger said, "What a ridiculous clusterfuck of totally uncool jokers. I make my work about this kind of sadly foolish farce. I'm waiting for all of them to sue me for copyright infringement."[11]

Supreme releases new products through their retail locations around the world as well as their website on Thursday mornings in Europe and America, and on Saturday mornings in Japan.[12] The Supreme brand is popular in China,[13] Japan,[14] Europe and the US.

Supreme is owned by VF Corporation.[6]



The brand was founded by James Jebbia in 1994. The first Supreme store opened in an old office space on Lafayette Street in Lower Manhattan in April 1994.[15][16] It was designed with skaters in mind with a unique design for the store layout: by arranging the clothes around the perimeter of the store, a large central space permitted skaters with backpacks to skate into the store and still feel comfortable.[9] This store had its core group of skaters who served as its team in 1994,[9] which included late actors Justin Pierce and Harold Hunter, and the first employees were extras from the Larry Clark film Kids.[1] Jebbia explained that he opened Supreme in lower Manhattan because at the time there was nowhere else to buy skate products in the area. He focused primarily on more obscure, harder-to-find items and credited the open-mindedness of skaters with the brand's ability to take risks.[1]

In 2004, a second location was opened on North Fairfax Ave in Los Angeles, California, which is nearly double the size of the original New York City store and features an indoor skate bowl.[17] Other locations include Paris, which opened in 2016, London, which opened in September 2011, Tokyo (Harajuku, Daikanyama and Shibuya), Nagoya, Osaka, and Fukuoka.[18] The additional locations emulate the original Lafayette Street store's design; stores feature rotating art displays, and use videos and music to attract attention.[16][1]

Supreme stocks its own clothing label, as well as other skateboard brands such as Vans, Nike SB, Spitfire Wheels, and Thrasher, among others.[19] James Jebbia was quoted in saying that anything that Supreme releases will never be classified as "limited," but notes that they make short runs of their products because they "don't want to get stuck with stuff nobody wants."[9]

Supreme releases two collections each year. Instead of offering the entire line at once, the brand releases a few pieces online and in-store from the current season’s collection every Thursday.[1]

In October 2017, Supreme opened their 11th store and second in New York City in the Williamsburg neighborhood of Brooklyn.[20][21] On October 6, 2017, James Jebbia confirmed that the label had sold a significant stake in the company of roughly 50% (around $500 million) to private equity firm The Carlyle Group.[22][23] On February 25, 2019, Supreme moved their original Manhattan location from 274 Lafayette Street to 190 Bowery.[24]

Supreme opened its 12th store on Market Street in San Francisco in October 2019.[25][26]

In 2019, a collection of every Supreme deck ever produced sold for $800,000 at a Sotheby's auction.[27][28]

In November 2020, VF Corporation announced that they agreed to buy Supreme in an all cash deal for US$2.1 billion.[6] VF Corporation bought out the investors Carlyle Group and Goode Partners LLC, as well as founder James Jebbia. According to VF, Jebbia will continue to manage the business.[29]

The 13th store of the company opened on May 6, 2021, in Milan.[30]



The original Supreme skate team consisted of Ryan Hickey, Justin Pierce, Gio Estevez, Paul Leung, Chris Keeffe, Jones Keeffe, Peter Bici, and Mike Hernandez. Other pro skaters, such as Harold Hunter and Jeff Pang, became associates of the company due to Supreme's roots within New York City's skate culture.[31]

The current skate team, as of 2021, includes Aidan Mackey, Brian Anderson, Ben Kadow, Jason Dill, Sean Pablo, Na-Kel Smith, Tyshawn Jones, Mark Gonzales, Kader Sylla, Sage Elsesser, Rowan Zorilla, Seven Strong, Troy Gipson, Vince Touzery, Caleb Barnett, Kevin Bradley, Nik Stain, Kevin Rodrigues and Beatrice Domond.[32]

Following the Paris store opening in 2016, Supreme also formed a French skate team that includes Dayanne Akadiri, Manuel Schenck, Lucien Momy, Dadoum Chabane, Damien Bulle, Victor Demonte, Valentin Jutant and Samir Krim.[33]



Supreme has been granted trademarks in many countries within North America, Europe and Asia.[34]

In 2018, Supreme lost a lawsuit in an Italian court,[35] and the European Union refused to register its trademark,[36] so "Supreme" branded items not licensed, approved or manufactured by Supreme could be sold in Italy and Spain.[37] Samsung was able to sign a promotion agreement with a fake Supreme brand in China.[38][39] Finally, in November 2019, an appellate court of the European Union Intellectual Property Office (EUIPO) found that Supreme's brand is distinct and eligible for an EU trademark. "It has been widely demonstrated that the sign is used as a brand and in some cases seen as "‘cult’ in the field of streetwear," the court said.[34][40] On August 27, 2020, EUIPO granted Supreme a Europe-wide trademark for bags, clothing and retail stores.[41][42]



In 2018, Supreme was awarded the Council of Fashion Designers of America's Menswear Designer of the Year Award.[16]



Fashion photographer Terry Richardson has produced some of the brand's most notable photographs, including of Michael Jordan, Kermit the Frog,[43] Three 6 Mafia, Lou Reed, Lady Gaga, Neil Young,[44] Gucci Mane, Nas, and Morrissey.

William "Bill" Strobeck serves as Supreme's main filmer, and has created several web edits for the brand such as PUSSY GANGSTER (2016), CANDYLAND (2019) and STALLION (2021). Strobeck has also filmed and directed both of Supreme's full-length films - "cherry" (2014) and "BLESSED" (2018).



Kenneth Cappello[45] made some Supreme photo tees like Mike Tyson, Dipset, and Raekwon.[46]

During the Fall/Winter 2017 season Supreme collaborated with fashion house Louis Vuitton for a Menswear Collection.[47][48] It was ranked as the best collaboration of 2017 by Vogue.[49]

Supreme's collaboration with Takashi Murakami raised $1 million for COVID-19 pandemic relief.[50]

Other notable brands that Supreme had collaborated with includes Kangol, Emilio Pucci, AntiHero Skateboards, New Era, True Religion, A Bathing Ape, Nike, Fox, Vans, The North Face, Spitfire Wheels, Champion, Stussy, Comme des Garçons, Timberland, Lacoste, Thrasher Magazine, Independent Trucks and many others.



Below is a list of official skate videos made for Supreme.

A Love Supreme (1995)[51]
"cherry" (2014)[52]
JOYRIDE (2014)[53]
the red devil. (2015)[54]
SICKNESS (2015)[55]
SWOOSH (2015)[56]
PUSSY GANGSTER (2016)[57]
KING PUPPY (2016)[58]
"BLESSED" (2018)[59]
CANDYLAND (2019)[60]
STALLION (2021)[61]
MIND GOBLIN (2021)



 Sullivan, Robert. "Charting the Rise of Supreme, From Cult Skate Shop to Fashion Superpower". Vogue. Retrieved May 25, 2018.
 "James Jebbia | HYPEBEAST". hypebeast.com. Retrieved November 4, 2021.
 Woolf, Jake (October 5, 2017). "James Jebbia Wants Shopping at Supreme to Be Easier". GQ. Retrieved May 25, 2018.
 "Supreme stores". www.supremenewyork.com. Retrieved May 25, 2018.
 "Supreme Just Became a Billion-Dollar Streetwear Brand". Complex. Retrieved May 25, 2018.
 "VF to Buy Supreme for $2.1 Billion to Boost Apparel Brands". Bloomberg.com. November 9, 2020. Retrieved November 9, 2020.
 "Supreme Clothing, Looking Behind the Hype of a Supreme NYC Drop". The Dapifer. Retrieved February 20, 2017.
 Chaplin, Julia (October 3, 1999). "PULSE: LAFAYETTE STREET; 'Kids' Welcome, Dress: Baggy". The New York Times. Retrieved September 29, 2012.
 "50 Things You Didn't Know About Supreme". Complex. Retrieved November 16, 2017.
 Deleon, Jian (May 1, 2013). "Supreme™ Court: The 12 Greatest Moments of Supreme's Legal Battle With Leah McSweeney". Complex. Retrieved March 11, 2017.
 Kamer, Foster (May 2, 2013). "Barbara Kruger Responds to Supreme's Lawsuit: 'A Ridiculous Clusterf**k of Totally Uncool Jokers'". Complex. Retrieved March 11, 2017.
 "FAQ – Shop – Supreme".
 "Supreme streetwear (including fakes) takes China by storm". South China Morning Post. Retrieved October 20, 2019.
 "That Time James Jebbia Gave a Rare Interview and Talked About Supreme's History and Its Popularity in Japan". Complex. Retrieved January 11, 2020.
 "Supreme about". www.supremenewyork.com. Retrieved November 16, 2017.
 Smith, Jonathan (November 16, 2018). "How Supreme Managed to Stay True to Skateboarding, Despite Everything". Vice. Retrieved October 8, 2019.
 Abrams, Micah (April 16, 2006). "Into L.A.'s Deli Land, Enter the Skaters". The New York Times. Retrieved September 29, 2012.
 "Supreme stores". www.supremenewyork.com. Retrieved November 16, 2017.
 Bahney, Anna (October 31, 2003). "Get 'Em While They're Cool: Footwear for the Few". The New York Times. Retrieved September 29, 2012.
 "Supreme Is Opening a Store in Brooklyn This Week". October 3, 2017. Retrieved November 16, 2017.
 "Here's Why Supreme Decided to Open a Second Store in New York". November 16, 2017. Retrieved November 16, 2017.
 "BoF Exclusive – Supreme Confirms Investment From Carlyle Group". October 6, 2017. Retrieved November 16, 2017.
 "How Supreme Grew a $1 Billion Business with a Secret Partner". October 10, 2017. Retrieved November 16, 2017.
 "Supreme news".
 Hughes, Aria. "Supreme to Open San Francisco Store". WWD. Retrieved November 19, 2018.
 Wolf, Cam. "Supreme's World Domination Tour Starts in San Francisco". GQ. Retrieved November 19, 2018.
 Frank, Robert (January 29, 2019). "Skateboard deck collection sells for a record $800,000". CNBC. Retrieved May 21, 2021.
 Neuendorf, Henri (February 11, 2019). "Meet the 17-Year-Old Collector Who Bought $800,000 Worth of Supreme Skateboard Decks at Sotheby's". Artnet News. Retrieved May 21, 2021.
 Sebastian, Dave (November 9, 2020). "Supreme Streetwear Brand Sold to VF in $2.1 Billion Deal". Wall Street Journal. ISSN 0099-9660. Retrieved May 21, 2021.
 Mahadevan, Tara (May 2, 2021). "Supreme Is Opening Its Milan, Italy Store on May 6". Complex. Retrieved May 21, 2021.
 "Everthing You Need To Know About Supreme (2019)". shredzshop.com. Shredz Shop.
 "Everything You Need To Know About Supreme (2019)". shredzshop.com. Shredz Shop. Retrieved June 24, 2021.
 "Meet Supreme's French Team". i-d.vice.com. Vice. Retrieved June 24, 2021.
 Clark, van (May 5, 2020). "Supreme Secures Chinese Trademark". Women's Wear Daily. Retrieved May 12, 2020.
 "Supreme Loses Counterfeit Case in Italy". HYPEBEAST.
 "Europen [sic] Union refuses to register Supreme as trademark". nss magazine.
 "Italian Court Rules Against Supreme in Counterfeit Case". Supreme California. August 2, 2018. Retrieved May 24, 2019.
 Etienne, Stefan (December 10, 2018). "Samsung angers hypebeasts by partnering with fake Supreme brand in China". The Verge. Retrieved May 24, 2019.
 Meek, Andy (December 10, 2018). "Samsung teams up with a fake, knock-off brand of Supreme to make products in China". BGR. Retrieved May 24, 2019.
 Turra, Alessandra (July 20, 2020). "Supreme to Enter the Milan Retail Arena". Women's Wear Daily (WWD). Retrieved August 4, 2020.
 Editorial Staff (December 9, 2020). "Supreme sweeps the fake table. The US trademark obtains registration in the EU". Pambianco News. Retrieved December 9, 2020.
 Bittau, Laura (December 3, 2020). "Supreme obtains registration in the EU". MF Fashion News. Retrieved December 9, 2020.
 "Terry Richardson x Supreme x Kermit the Frog". February 29, 2008. Retrieved April 22, 2015.
 Cardiner, Brock (October 13, 2014). "Supreme Fall/Winter 2014 Editorial by Terry Richardson for SENSE Magazine". High Snobiety. Retrieved April 21, 2015.
 "A History of Supreme's Artist CollaborationsKenneth Cappello". Complex UK. Retrieved November 29, 2016.
 "SUPREME T-SHIRT – T-Shirts – Supreme – Apparel". www.projectblitz.com. Retrieved November 29, 2016.
 "Here's Every Piece From the Supreme x Louis Vuitton Collection". Highsnobiety. June 29, 2017. Retrieved March 27, 2021.
 "Supreme louis vuitton/supreme lookbook 1/14". www.supremenewyork.com.
 Votka, Steff (December 19, 2017). "The 20 Best Fashion Collaborations of 2017, Ranked". Vogue. Retrieved September 5, 2021.
 Wolf, Cam. "Supreme Is Releasing a Box-Logo T-Shirt to Help in the Coronavirus Fight". GQ. Retrieved November 27, 2020.
 "A Love Supreme (1995)". www.supremenewyork.com. Supreme. Retrieved June 25, 2021.
 Mehring, Jonathan. "The Making of "cherry"". Thrasher Magazine. Retrieved June 25, 2021.
 Strobeck, William. "On Any Sunday". YouTube. Archived from the original on November 18, 2021. Retrieved June 25, 2021.
 "the red devil". www.supremenewyork.com. Supreme. Retrieved June 25, 2021.
 "SICKNESS". www.supremenewyork.com. Supreme.
 Strobeck, William. "SWOOSH". YouTube. Archived from the original on November 18, 2021. Retrieved June 25, 2021.
 Strobeck, William. "PUSSY GANGSTER". www.supremenewyork.com. Supreme.
 Strobeck, William. "KING PUPPY". YouTube. Archived from the original on November 18, 2021. Retrieved June 25, 2021.
 "Bill Strobeck Talks "BLESSED" & Supreme Announces Release Date". Skate News Wire. 48 Blocks Media. Retrieved June 25, 2021.
 "CANDYLAND". www.supremenewyork.com. Supreme. Retrieved June 25, 2021.
 "STALLION". www.supremenewyork.com. Supreme. Retrieved June 25, 2021.